GET /whatsapp/calls

Call history, newest first

GET
/whatsapp/calls

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

WhatsApp account id

status?string

Status

direction?string

inbound | outbound

since?string

ISO date-time

until?string

ISO date-time

before?string

nextCursor

limit?integer

Max calls

Response Body

{calls, nextCursor}

application/json
  1. response
calls?array<>
nextCursor?|

Pass as before

Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/calls?accountId=string'
Example Response
{  "calls": [    {      "id": "string",      "direction": "inbound",      "from": "string",      "to": "string",      "status": "dialing",      "startedAt": "2019-08-24T14:15:22Z",      "endedAt": "2019-08-24T14:15:22Z",      "durationSeconds": 0,      "endReason": "string",      "recordingUrl": "string",      "forwardTo": "string",      "billing": {}    }  ],  "nextCursor": "string"}